AJS.$(function() {
	AJS.$('#testaide-config-form').submit(function(e) {
		e.preventDefault();

		console.log(AJS.$(this).serialize());
		AJS.$.ajax({
			url : contextPath + '/rest/testaide/latest/user/config/server/url',
			type : "PUT",
			data : AJS.$(this).serialize(),
			dataType: "text",
			success : function(ret) {
				AJS.flag({
					type: "success",
					close: "auto",
					body: "<p>" + AJS.I18n.getText("flag.msg.saved.adminSettings") + "</p>"
				});
			},
			error: function(jqXHR, textStatus, errorThrown) {
				AJS.log(jqXHR.responseText)
				AJS.flag({
					type: "error",
					body: "<strong>" + jqXHR.statusText + "(" + jqXHR.status + ")</strong>"
						+ "<p>" + errorThrown + "</p>"
				});
			},
			complete : function(response) {

				updateConfig();
			}
		});
	});
	
	updateConfig();
});

function updateConfig() {
	AJS.$.ajax({
		url : AJS.contextPath() + "/rest/testaide/latest/user/config/server/url",
		type : "GET",
		dataType : 'text',
		success : function(ret) {
			console.log(ret);
			
			AJS.$('#testaide-server-url').val(ret);
		},
	});
}
